2

I was updating a local EE install from EE 2.5.1 (20120529) to EE 2.7.1 (20130924). I've updated Matrix 2.4.1 to 2.5.8

When clicking on Matrix in the fieldtypes addon section i get the following error:

A Database Error Occurred
Error Number: 1060
Duplicate column name 'is_draft'
ALTER TABLE `exp_matrix_data` ADD `is_draft` TINYINT(1) UNSIGNED DEFAULT '0'
Filename: /third_party/matrix/ft.matrix.php
Line Number: 509

I also got a error for Playa, but that seemed to correct itself on refresh.

Any ideas what's up?

  • Same problem here: upgrade EE 2.1.3 to EE 2.7.1 and Matrix from 2.1.2 to 2.5.8 "Unknown column 'is_draft' in 'where clause'" There is no field is_draft so I set the version to 2.2 - Going to the extension tab nothing happened version still shows 2.5.8 and visiting the front throws the unknown column error. I think adding the field 'is_draft' will get rid of the error but not upgrade Matrix. What is the developer's recommendation here? – user2288448 Oct 1 '13 at 20:54
  • You should go to the Fieldtypes page, not Extensions :) – Andris Sevcenko Oct 2 '13 at 6:22
  • @user2288448 did you resolve this we have the same issue. – paulcripps Jan 24 '14 at 13:34
5

Take a look at the columns in exp_matrix_data table in the database.

  • Does it have a field var_id? If no, then the version you should set is 2.2.
  • If yes, does it have a field is_draft? If no, then the version you should set is 2.3
  • If yes, then the version you should set is 2.5.8

Now, set the version number we determined in the previous three steps for the Matrix field in the exp_fieldtypes table and go visit the Add-ons -> Fieldtypes -> Matrix page and hit submit.

Everything should be all working now.

| improve this answer | |
  • Thanks - I changed the version number in phpMyAdmin - super quick fix. – Samsull Oct 1 '13 at 12:06
  • 1
    strangely i had a is_draft field, but not a var_id. I tried setting to 2.2 which threw an error on update (think it was about duplicate is_draft), but created the var_id field. Since both of those fields are now created I set it to 2.5.8 and matrix seems to be working, but not sure if everything upgraded as it should have done? – Joobs Oct 1 '13 at 15:49
  • Thanks Andris but this hasn't worked for me. I went through the equivalent process of setting the fieldtype version for Playa and that worked fine. But, having established that I need to set Matrix to 2.3 (I have var_id but don't have is_draft) the error persists. What do you suggest? – Jonathan Schofield Oct 5 '13 at 17:21
  • In case it is relevant, I was updating from 2.3.1 and Matrix 2.2.3.2. The EE update went fine up to and including 2.7.0 and then failed with a class error to do with Addons. I managed to login to the CP where it told me to run the updater again and things then went smoothly from 2.7.0 to 2.7.1. It was from that point onwards that I have been trying to get the CP to properly recognise Matrix 2.5.8. – Jonathan Schofield Oct 5 '13 at 17:25
  • OK, tried setting the fieldtype to 2.5 and this time things have worked. I have an is_draft field in exp_matrix_data and there are no errors reported when I go into the fieldtype in the CP. Phew! – Jonathan Schofield Oct 5 '13 at 17:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.